> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Agents



## OpenAPI

````yaml https://api.simli.ai/openapi.yaml get /auto/agents
openapi: 3.1.0
info:
  title: Simli
  version: 1.0.0
servers:
  - url: https://api.simli.ai/
    description: API server
security:
  - ApiKeyAuth: []
paths:
  /auto/agents:
    get:
      summary: Get All Agents
      responses:
        '200':
          description: List of agents
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentResponse'
      deprecated: true
components:
  schemas:
    AgentResponse:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the agent, generated by the MySQL service
        face_id:
          type: string
          format: uuid
        name:
          type: string
          default: Untitled Agent
        first_message:
          type: string
        prompt:
          type: string
        voice_provider:
          type: string
          enum:
            - elevenlabs
            - cartesia
        voice_id:
          type: string
          format: uuid
        voice_model:
          type: string
          example: sonic-english
        language:
          type: string
        emotion:
          type: string
          format: uuid
        llm_model:
          type: string
          example: gpt-4o-mini
        llm_endpoint:
          type: string
          description: The URL of the custom LLM to use
          example: https://api.example.com/v1/chat/completions
        max_idle_time:
          type: integer
          default: 300
        max_session_length:
          type: integer
          default: 3600
        owner_id:
          type: string
          description: Unique identifier for the owner of the agent
        llm_provider:
          type: string
          enum:
            - openai
            - google
            - user
          description: The provider of the LLM used by the agent
        simli_version:
          type: integer
          description: Version of the Simli model used for the face
          example: 1
        created_at:
          type: string
          format: date-time
          description: Timestamp when the agent was created
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the agent was last updated
      required:
        - id
        - face_id
        - name
        - first_message
        - prompt
        - voice_provider
        - voice_id
        - voice_model
        - language
        - emotion
        - llm_model
        - llm_endpoint
        - max_idle_time
        - max_session_length
        - owner_id
        - llm_provider
        - created_at
        - updated_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-simli-api-key

````